Subject: Re: [PATCH] TCP: remove initial_ssthresh from Cubic

From: Stephen Hemminger <[email-masked]>
Date: Wed, 13 Jun 2007 11:31:49 -0700

On Wed, 13 Jun 2007 11:26:52 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Stephen Hemminger <[email-masked]>
> Date: Wed, 13 Jun 2007 10:27:18 -0700
> 
> Please make patches against my net-2.6 tree, I already
> made changes in this area.
> 
> > Remove the initial slow start override from TCP cubic.
> > The old code caused Cubic to start out in slow start mode, which
> > is less agressive but caused slow performance.
> > 
> > The administrator can override initial slow start threshold on any
> > TCP congestion control method via the TCP route metrics.
> > 
> > Signed-off-by: Stephen Hemminger <[email-masked]>
> 
> I already sent a merge request to Linus that just changed
> the default to zero.
> 
> No need to remove it for now so people can still play
> with it if they want to, that's harmless.
> 
> You missed BIC too, which I did take care of...

Maybe it is time to remove BIC?